Name: qmeter
Version: 1.0
Release: 3
Source: ftp://ftp.icm.edu.pl/pub/Linux/sunsite/system/status/qmeter-%{PACKAGE_VERSION}.tar.gz
Patch0: qmeter.patch
Packager: Piotr Haberko <gumis@wsi.edu.pl>
Copyright: GPL
Group: Utilities/System
Buildroot: /tmp/qmeter-%{PACKAGE_VERSION}
Summary: Status led-stat meter LED toys display hardware-hack

%description
A LED meter, based on led-stat (included) that displays the CPU idle time as
reported by /proc. Includes a HP-style heartbeat.

%prep 
%setup -n qmeter-%{PACKAGE_VERSION}
%patch0 -p1
rm -rf $RPM_BUILD_ROOT

%build
make

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc2.d,rc3.d,rc6.d}
install qmeter $RPM_BUILD_ROOT/usr/bin/qmeter
install qmeter.1 $RPM_BUILD_ROOT/usr/man/man1/qmeter.1
install qmeter.init $RPM_BUILD_ROOT/etc/rc.d/init.d/qmeter.init
install leds $RPM_BUILD_ROOT/usr/bin/leds
for I in 2 3; do
	ln -sf ../init.d/qmeter.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S15qmeter
done
for I in 0 6; do
	ln -sf ../init.d/qmeter.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K16qmeter
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYING led-stat.txt
%attr(4700, root, root) /usr/bin/qmeter
%attr(700, root, root) /usr/bin/leds
%attr(644, root, root) /usr/man/man1/qmeter.1
%attr(750, root, root) /etc/rc.d/init.d/qmeter.init
%attr(755, root, root) /etc/rc.d/rc[0236].d/*

%changelog
* Thu Jan 22 1998 Piotr Haberko <gumis@wsi.edu.pl>
- spec file rewrited for using Buildroot,
- rewrited patches into one patch,
- added %clean
* Tue Jun 3 1997 Xi Zal <x@dal.net>
- Fixed Group:
- Changed to /usr/bin
- Added non-486 patch
